﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	
	Private details_tbl As B4XTable
	Private details_Column(5) As B4XTableColumn
	
	Dim sql_gear As SQL ' system settings
	Dim gearDB As String				: gearDB = "gear_db.db"
	Private Button1 As Button
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")

	details_tbl.MaximumRowsPerPage = 10
	details_Column(0) = details_tbl.AddColumn("DETAILS", details_tbl.COLUMN_TYPE_TEXT)
	details_Column(1) = details_tbl.AddColumn("STATUS", details_tbl.COLUMN_TYPE_TEXT)
	details_Column(2) = details_tbl.AddColumn("DATE", details_tbl.COLUMN_TYPE_TEXT)
	details_Column(3) = details_tbl.AddColumn("WHO", details_tbl.COLUMN_TYPE_TEXT)
	details_Column(0).Width = 20%x
	details_Column(1).Width = 18%x
	details_Column(2).Width = 20%x
	details_Column(2).Width = 25%x
	
	File.Copy(File.DirAssets,gearDB,xui.DefaultFolder,gearDB)
	sql_gear.Initialize(xui.DefaultFolder, gearDB, False)

	update_detail("BCD")

End Sub

Sub update_detail(id As String)
	Dim Data As List
	DateTime.DateFormat = "dd-MMM-yy, HH:mm"
	Data.Initialize
			
	Dim rs As ResultSet = sql_gear.ExecQuery("SELECT gear_moves.qr_code, gear_moves.state, gear_moves.date, gear_moves.who, gear_moves.note, gear_moves.sync, gear_items.size FROM gear_items INNER JOIN gear_moves ON gear_items.qr_code = gear_moves.qr_code WHERE ((gear_items.type)='" & id & "');")' ORDER BY id DESC")
	If rs.RowCount > 0 Then
		Do While rs.NextRow
			Dim row(4) As Object
			If id = "BCD" Or id = "Wetsuit" Then
				row(0) = rs.GetString("gear_items.size")
			Else
				row(0) = "-"
			End If
			row(1) = rs.GetString("gear_moves.state")
			row(2) = DateTime.Date(rs.GetString("gear_moves.date"))
			row(3) = rs.GetString("gear_moves.who")
			Data.Add(row)
		Loop
		rs.Close
		details_tbl.SetData(Data)
		details_tbl.Cleardataview
		details_tbl.SetData(Data)
	Else
		Log(details_tbl.Size)
		If details_tbl.Size > 0 Then details_tbl.ClearDataView
		details_tbl.refresh
	End If
End Sub

Private Sub Button1_Click
	details_tbl.Clear
	update_detail("Reg")
End Sub